<template>
  <div class="structure">
    <!-- Icon -->
    <div class="icon">Insert icon here for level: {{ level }}</div>
    <!-- Message -->
    <div class="message">{{ message }}</div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';

@Component
export default class ContentPlaceholder extends Vue {
  @Prop() public message!: string;
  @Prop() public level!: string;
}
</script>

<style lang="scss" scoped>
.structure {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  grid-template-rows: 1fr 2fr 1fr;
  grid-template-areas:
    "padding  padding   padding"
    "padding  content   padding"
    "padding  padding   padding";

  justify-items: center;
  align-items: center;
}
</style>
